{{ attach_library('growhappytheme/vendor-simplebar') }}

{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{% set author = user_data.fullname %}
{% set image = 'themes/growhappytheme/assets/images/no-photo.png' %}

<style media="screen">
  @media only screen and (max-width: 600px) {
    .desktop-view {
        display: none !important;
      }
    }

    @media only screen and (min-width: 600px) {
      .mobile-view {
        display: none !important;
      }
    }
</style>
<main role="main" class="page__profile">
    <div class="container-fluid text-center text-lg-left">
        <div class="row">
            <div class="col-md-6 bg-primary text-white pr-lg-5 pt-5 desktop-view">
                <div class="px-md-4 px-lg-5 profile-detail-wrapper ml-md-auto" style="margin-bottom: 99px;">
                    <!-- <div class="avatar gold"><img class="rounded-circle" height="60" width="60" src="{{ url('<front>') }}{{ image }}" alt=""></div> -->
                    <h2 class="mb-0">{{ user_data.firstName }} {{ user_data.lastName }}   <a href="{{ url('<front>') }}profile-edit" class="btn bg-blue text-white text-uppercase rounded-lg btn-edit-profile">Edit Profil</a></h2>
                      <h5 class="mb-0" style="margin-top: 3px;">{{ guestlogin.identity }}   <a href="{{ url('<front>') }}ciam-auth-process" class="btn bg-blue text-white text-uppercase rounded-lg btn-edit-profile">Muat Ulang</a></h5>
                      <p style="margin-top: 7px"><span class="rp">{{ point|number_format(0, '.', '.') }} Happy Points</span><!--  | <span class="text-orange">Member Gold</span> -->
                    </p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit" action="{{ url('growhappy_mod.submit-process') }}" method="POST">
                        <h3 class="font-weight-bold">Submit Poin Happy Parents!</h3>

                        <div class="input-group mb-3 position-relative">
                            <select class="form-control form-select icon-dropdown w-100 rounded-lg border-0 font-weight-bold select-location" id="store" name="retail">
                                <option value="" selected>Beli Produk LACTOGROW</option>
                                {% for retail in retails %}
                                <option value="{{ retail.id }}">{{ retail.name }}</option>
                                {% endfor %}
                            </select>
                            <img class="select-decoration" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-dropdown-white.png" alt="">
                        </div>
                        <div class="input-group mb-3">
                            <input id="code" name="code" placeholder="Masukan Kode Unik" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code">
                            <span class="input-group-btn m-0">
                                <button type="submit" id="btn-submit" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code">
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>

                    <div class="nav nav-profile flex-row flex-md-column justify-content-center border-0 mx-n4 mx-md-0 mb-5 d-none d-md-block" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill active" id="profile-tab" data-toggle="pill" href="#profile" role="tab" aria-controls="profile" aria-selected="true">Profil</a>
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="history-tab" data-toggle="pill" href="#history" role="tab" aria-controls="history" aria-selected="false">Riwayat</a>
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="reward-tab" data-toggle="pill" href="#reward" role="tab" aria-controls="reward" aria-selected="false">Rewards</a>
                        <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" href="{{ url('<front>') }}campaign/ghc-coupon-result" aria-selected="false">Kupon Nasional Promo</a> -->
                        <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="quiz-tab" data-toggle="pill" href="#quiz" role="tab" aria-controls="quiz" aria-selected="false">Misi</a> -->
                    </div>

                    {% if guestlogin.bp_id == 0 %}
                    <p style="font-size: 8px">Isi kode SPG, jika Moms/ Dads daftar melalui SPG</p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit-bp" action="{{ url('growhappy_mod.submit-bp-process') }}" method="POST" style="margin-top: -65px;">
                        <div class="input-group mb-3">
                            <input id="code" name="bp_id" placeholder="Masukan Kode SPG" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code">
                            <span class="input-group-btn m-0">
                                <button type="submit" id="btn-submit-bp" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code">
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>
                    {% else %}
                    <p style="font-size: 8px">Kode SPG</p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit-bp" action="{{ url('growhappy_mod.submit-bp-process') }}" method="POST" style="margin-top: -65px;">
                        <div class="input-group mb-3">
                            <input id="code" name="bp_id" placeholder="Masukan Kode SPG" type="text" value="{{ guestlogin.bp_id }}" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" disabled>
                            <span class="input-group-btn m-0">
                                <button type="submit" id="btn-submit-bp" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code" disabled>
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>
                    {% endif %}

                </div>
            </div>
            <div class="col-md-6 bg-primary text-white pr-lg-5 pt-5 mobile-view">
                <div class="px-md-4 px-lg-5 profile-detail-wrapper ml-md-auto" style="margin-bottom: 99px;">
                    <!-- <div class="avatar gold"><img class="rounded-circle" height="60" width="60" src="{{ url('<front>') }}{{ image }}" alt=""></div> -->
                    <h2 class="mb-0">{{ user_data.firstName }} {{ user_data.lastName }}   <a href="{{ url('<front>') }}profile-edit" class="btn bg-blue text-white text-uppercase rounded-lg btn-edit-profile">Edit Profil</a></h2>
                    <h5 class="mb-0" style="margin-top: 3px;">{{ guestlogin.identity }}   <a href="{{ url('<front>') }}ciam-auth-process" class="btn bg-blue text-white text-uppercase rounded-lg btn-edit-profile">Muat Ulang</a></h5>
                    <p style="margin-top: 7px"><span class="rp">{{ point|number_format(0, '.', '.') }} Happy Points</span><!--  | <span class="text-orange">Member Gold</span> -->
                    </p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit-mobile" action="{{ url('growhappy_mod.submit-process') }}" method="POST" style="margin-bottom: 94px;">
                        <h3 class="font-weight-bold">Submit Poin Happy Parents!</h3>

                        <div class="input-group mb-3 position-relative">
                            <select class="form-control form-select icon-dropdown w-100 rounded-lg border-0 text-white font-weight-bold select-location" id="store" name="retail" style="background: #055DBB;">
                                <option value="" selected>Beli Produk LACTOGROW</option>
                                {% for retail in retails %}
                                <option value="{{ retail.id }}">{{ retail.name }}</option>
                                {% endfor %}
                            </select>
                            <img class="select-decoration" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-dropdown-white.png" alt="">
                        </div>
                        <div class="input-group mb-3">
                            <input id="code" name="code" placeholder="Masukan Kode Unik" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code">
                            <span class="input-group-btn m-0">
                                <button type="submit" id="btn-submit-mobile" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code">
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>

                    <div class="nav nav-profile flex-row flex-md-column justify-content-center border-0 mx-n4 mx-md-0 mb-5 d-none d-md-block" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill active" id="profile-tab" data-toggle="pill" href="#profile" role="tab" aria-controls="profile" aria-selected="true">Profil</a>
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="history-tab" data-toggle="pill" href="#history" role="tab" aria-controls="history" aria-selected="false">Riwayat</a>
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="reward-tab" data-toggle="pill" href="#reward" role="tab" aria-controls="reward" aria-selected="false">Rewards</a>
                        <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" href="{{ url('<front>') }}campaign/ghc-coupon-result" aria-selected="false">Kupon Nasional Promo</a> -->
                        <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="quiz-tab" data-toggle="pill" href="#quiz" role="tab" aria-controls="quiz" aria-selected="false">Misi</a> -->
                    </div>

                    {% if guestlogin.bp_id == 0 %}
                    <p style="font-size: 8px">Isi kode SPG, jika Moms/ Dads daftar melalui SPG</p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit-bp" action="{{ url('growhappy_mod.submit-bp-process') }}" method="POST" style="margin-top: -65px;">
                        <div class="input-group mb-3">
                            <input id="code" name="bp_id" placeholder="Masukan Kode SPG" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code">
                            <span class="input-group-btn m-0">
                                <button type="submit" id="btn-submit-bp" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code">
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>
                    {% else %}
                    <p style="font-size: 8px">Kode SPG</p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit-bp" action="{{ url('growhappy_mod.submit-bp-process') }}" method="POST" style="margin-top: -65px;">
                        <div class="input-group mb-3">
                            <input id="code" name="bp_id" placeholder="Masukan Kode SPG" type="text" value="{{ guestlogin.bp_id }}" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" disabled>
                            <span class="input-group-btn m-0">
                                <button type="submit" id="btn-submit-bp" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code" disabled>
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>
                    {% endif %}

                </div>
            </div>
            <div class="col-md-6 px-md-4 p-lg-5 pt-5">
                <ul class="nav nav-pills w-lg-500 mb-4 px-3 mt-7 d-md-none" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold active" id="profile-tab" data-toggle="pill" href="#profile" role="tab" aria-controls="history" aria-selected="true">Profil</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold" id="history-tab" data-toggle="pill" href="#history" role="tab" aria-controls="history" aria-selected="false">Riwayat</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold" id="reward-tab" data-toggle="pill" href="#reward" role="tab" aria-controls="reward" aria-selected="false">Rewards</a>
                    </li>
                    <!-- <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold" href="{{ url('<front>') }}campaign/ghc-coupon-result" aria-selected="false">Kupon Nasional Promo</a>
                    </li> -->
                    <!--<li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold" id="quiz-tab" data-toggle="pill" href="#quiz" role="tab" aria-controls="quiz" aria-selected="false">Misi</a>
                    </li>-->
                </ul>

                <div class="tab-content text-blue mt-lg-5">
                    <div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                        <div class="show-scroll" data-simplebar>
                            <div class="tab-content">

                                <form class="form-border">
                                    <div class="form-group row">
                                        <h3 class="text-primary">Profil Happy Parents</h3>
                                    </div>
                                    <!-- <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="mid">Member ID</label></div>
                                        <div class="col-md-8"><input type="text" name="mid" value="{{ user_data.id }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="mid" readonly></div>
                                    </div> -->
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Nama Happy Parents</label></div>
                                        <div class="col-md-8"><input type="text" name="name" value="{{ user_data.firstName }} {{ user_data.lastName }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="name" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Jenis Kelamin</label></div>
                                        <div class="col-md-8"><input type="text" name="email" value="{% if user_data.gender == 'm' %}Laki-laki{% else %}Perempuan{% endif %}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="email" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Tanggal Lahir</label></div>
                                        <div class="col-md-8"><input type="date" name="dob_member" value="{{ user_data.dob }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="dob_member" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Nomor Handphone</label></div>
                                        <div class="col-md-8"><input type="phone" name="mobile_number" value="{{ user_data.phone }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="mobile_number" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Alamat E-mail</label></div>
                                        <div class="col-md-8"><input type="email" name="email" value="{{ user_data.email }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="email" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Kode Pos</label></div>
                                        <div class="col-md-8"><input type="text" name="codepos" value="{{ user_data.zip }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="codepos" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="province">Provinsi</label></div>
                                        <div class="col-md-8"><input type="text" name="province" value="{{ user_data.province }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="province" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="city">Kota</label></div>
                                        <div class="col-md-8"><input type="text" name="city" value="{{ user_data.city }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="city" readonly></div>
                                    </div>
                                    <!-- <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="minat">Minat</label></div>
                                        <div class="col-md-8"><input type="text" name="minat" value="{{ user_data.minat }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="minat" readonly></div>
                                    </div> -->
                                </form>

                                <hr class="row my-5">
                                {% for child in user_data.childs %}
                                <form class="form-border">
                                    <div class="form-group row">
                                        <h3 class="text-primary">Profil Anak</h3>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Nama Anak</label></div>
                                        <div class="col-md-8"><input type="name" name="name" value="{{ child.name }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="name" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Tanggal Lahir</label></div>
                                        <div class="col-md-8"><input type="date" name="dob_member" value="{{ child.dob }}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="dob_member" readonly></div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-4 p-2"><label for="name">Jenis Kelamin</label></div>
                                        <div class="col-md-8"><input type="text" name="email" value="{% if child.gender == 'm' %}Laki-laki{% else %}Perempuan{% endif %}" class="form-control rounded-pill border border-light mr-lg-5 bg-white text-primary" id="email" readonly></div>
                                    </div>
                                    <hr>
                                </form>
                                {% endfor %}
                                <br><br><br>

                            </div>

                        </div>
                    </div>
                    <div class="tab-pane fade" id="history" role="tabpanel" aria-labelledby="history-tab">
                        {% if history|length == 0 %}
                        <div class="show-scroll" data-simplebar>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="statusHistory1" name="statusHistory" class="custom-control-input" data-target="#allLog" checked>
                                <label class="custom-control-label" for="statusHistory1">Semua</label>
                            </div>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="statusHistory2" name="statusHistory" class="custom-control-input" data-target="#submitLog">
                                <label class="custom-control-label" for="statusHistory2">Submit Poin</label>
                            </div>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="statusHistory3" name="statusHistory" class="custom-control-input" data-target="#redeemLog">
                                <label class="custom-control-label" for="statusHistory3">Redeem Poin</label>
                            </div>
                            <br><br>
                            <div class="tab-content">
                                <div id="allLog" class="tab-pane active">
                                    {% for log in transaction_logs %}
                                    <div class="d-flex justify-content-between py-3 border-top border-light">
                                        <div class="text-left">
                                            <strong class="text-primary">{{ log.description }}</strong><br>
                                            {% if log.type == 'redeem' %} - {% else %} + {% endif %} <span class="rp">{{ log.amount|number_format(0, '.', '.') }}</span>
                                        </div>
                                        <div class="text-right">
                                            <span class="badge badge-pill bg-blue text-white text-uppercase">Berhasil</span><br>
                                            {{ log.created_at|date('d-m-Y') }}
                                        </div>
                                    </div>
                                    {% endfor %}
                                </div>
                                <div id="submitLog" class="tab-pane">
                                    {% for submit_logs in transaction_submit_logs %}
                                    <div class="d-flex justify-content-between py-3 border-top border-light tab-pane" id="submitLog">
                                        <div class="text-left">
                                            <strong class="text-primary">{{ submit_logs.description }}</strong><br>
                                            {% if submit_logs.type == 'redeem' %} - {% else %} + {% endif %} <span class="rp">{{ submit_logs.amount|number_format(0, '.', '.') }}</span>
                                        </div>
                                        <div class="text-right">
                                            <span class="badge badge-pill bg-blue text-white text-uppercase">Berhasil</span><br>
                                            {{ submit_logs.created_at|date('d-m-Y') }}
                                        </div>
                                    </div>
                                    {% endfor %}
                                </div>
                                <div id="redeemLog" class="tab-pane">
                                    {% for redeem_logs in transaction_redeem_logs %}
                                    <div class="d-flex justify-content-between py-3 border-top border-light tab-pane" id="redeemLog">
                                        <div class="text-left">
                                            <strong class="text-primary">{{ redeem_logs.description }}</strong><br>
                                            {% if redeem_logs.type == 'redeem' %} - {% else %} + {% endif %} <span class="rp">{{ redeem_logs.amount|number_format(0, '.', '.') }}</span>
                                        </div>
                                        <div class="text-right">
                                            <span class="badge badge-pill bg-blue text-white text-uppercase">Berhasil</span><br>
                                            {{ redeem_logs.created_at|date('d-m-Y') }}
                                        </div>
                                    </div>
                                    {% endfor %}
                                </div>
                            </div>
                            {# <div class="d-flex justify-content-between py-3 border-top border-light">
                                <div class="text-left">
                                    <strong class="text-primary">LACTOGROW 3 Madu - 1 kg</strong><br>
                                    + <span class="rp">5.000</span>
                                </div>
                                <div class="text-right">
                                    <span class="badge badge-pill bg-warning text-white text-uppercase">Gagal</span><br>
                                    01 Oktober 2020
                                </div>
                            </div>
                            <div class="d-flex justify-content-between py-3 border-top border-light">
                                <div class="text-left">
                                    <strong class="text-primary">LACTOGROW 3 Madu - 750 g</strong><br>
                                    + <span class="rp">750</span>
                                </div>
                                <div class="text-right">
                                    <span class="badge badge-pill bg-light text-white text-uppercase">Sedang diproses</span><br>
                                    09 Oktober 2020
                                </div>
                            </div>
                            <div class="d-flex justify-content-between py-3 border-top border-light">
                                <div class="text-left">
                                    <strong class="text-primary">LACTOGROW 3 Vanilla - 750 g</strong><br>
                                    + <span class="rp">2.500</span>
                                </div>
                                <div class="text-right">
                                    <span class="badge badge-pill bg-blue text-white text-uppercase">Berhasil</span><br>
                                    05 Oktober 2020
                                </div>
                            </div>
                            <div class="d-flex justify-content-between py-3 border-top border-light">
                                <div class="text-left">
                                    <strong class="text-primary">LACTOGROW 3 Madu - 1 kg</strong><br>
                                    + <span class="rp">5.000</span>
                                </div>
                                <div class="text-right">
                                    <span class="badge badge-pill bg-warning text-white text-uppercase">Gagal</span><br>
                                    01 Oktober 2020
                                </div>
                            </div> #}
                            <p class="text-center"><a href="#" class="btn rounded-pill my-5 px-5 btn-cta bg-primary text-white text-uppercase font-weight-bold mr-lg-5">Lihat semua</a></p>

                        </div>
                        {% else %}
                        <div class="d-flex align-items-center" style="min-height: 65vh;">
                            <div class="text-center">
                                <h3>Maaf Happy Parents!</h3>
                                <p>Poin Anda belum cukup untuk menukar hadiah. Kumpulkan terus poinnya dengan membeli produk LACTOGROW!</p>
                                <a href="#" class="btn rounded-pill bg-primary text-white text-uppercase my-2 px-5 btn-cta">Beli Produk</a>
                            </div>
                        </div>
                        {% endif %}
                    </div>
                    <div class="tab-pane fade" id="reward" role="tabpanel" aria-labelledby="reward-list">
                        {% if rewards.length == 0 %}
                        <div class="show-scroll" data-simplebar>
                            <h2>Khusus untuk Happy Parents</h2>
                            <div class="row row-cols-1 row-cols-md-3 px-5 px-lg-0 no-margin">
                                {% include directory ~ '/templates/includes/_reward.html.twig' %}
                            </div>
                            <p class="text-center"><a href="#" class="btn rounded-pill my-5 px-5 btn-cta bg-primary text-white text-uppercase mr-lg-5 font-weight-bold">Lihat semua</a></p>
                        </div>
                        {% else %}
                        <div class="d-flex align-items-center" style="min-height: 65vh;">
                            <div class="text-center">
                                <h3>Maaf Happy Parents!</h3>
                                <p>Poin Anda belum cukup untuk menukar hadiah. Kumpulkan terus poinnya dengan membeli produk LACTOGROW!</p>
                                <a href="#" class="btn rounded-pill bg-primary text-white text-uppercase my-2 px-5 btn-cta">Beli Produk</a>
                            </div>
                        </div>
                        {% endif %}
                    </div>
                    <div class="tab-pane fade" id="quiz" role="tabpanel" aria-labelledby="quiz-list">
                        <!-- <div class="show-scroll" data-simplebar>
                            <h2>Jalankan Misi untuk Menambah Happy Points</h2>
                            <div class="row row-cols-1 mt-3 px-3">
                            {% for i in 1..6 %}
                                {% include directory ~ '/templates/includes/_reward-quiz.html.twig' %}
                            {% endfor %}
                            </div>
                            <p class="text-center"><a href="#" class="btn rounded-pill my-5 px-5 btn-cta bg-primary text-white text-uppercase mr-lg-5 font-weight-bold">Lihat semua</a></p>
                        </div> -->
                        <div class="d-flex align-items-center" style="min-height: 65vh;">
                            <div class="text-center">
                                <h2>Coming Soon...</h2>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

<!-- Submit Modal -->
<div class="modal fade" id="submitModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="submitModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content overflow-hidden">
            <div class="modal-body bg-primary text-white text-center p-lg-4">
                <button type="button" id="btn-close-modal" class="close float-right text-white" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <img class="m-auto mb-4" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-baloon.svg" alt="">
                <h2 id="message-header">Submit Kode Sedang diproses!</h2>
                <div id="message-body">Mohon Tunggu...</div>
                <a id="message-button" href="{{ url('<front>') }}ciam-auth-process" class="btn btn-block bg-white text-blue rounded-lg px-3 mt-3" style="display: none;">Coba Lagi</a>
            </div>
        </div>
    </div>
</div>

<footer id="primary-footer">
    {% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
</footer>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://js.pusher.com/7.0/pusher.min.js"></script>
<script type="text/javascript">
    $("#form-submit").submit(function(e) {
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var form = $(this);
        var url = form.attr("action");
        var type = $(this).attr("method");
        var message_header_loading = "Submit Kode Sedang diproses!";
        var message_header_fail = "Submit Poin Happy Parents Gagal";
        var message_body_loading = "<p>Mohon Tunggu...</p>";
        var message_body_fail = "<p>Terjadi kesalahan pada server</p>";
        var message_button_fail = "Coba Lagi";
        $("#submitModal").modal("show");
        $.ajax({
            type: type,
            url: url,
            data: form.serialize(),
            beforeSend: function() {
                $("#btn-submit").prop("disabled", true);
                $("#message-header").html(message_header_loading);
                $("#message-body").html(message_body_loading);
                $("#message-button").hide();
                $("#btn-close-modal").hide();
                console.log("Loading");
            },
            success: function(data) {
                console.log("json : "+data);
                var data = JSON.parse(data);
                if(data.success){
                    console.log("Submit success");
                    console.log("pusher ready!");

                    var pusherFailed = false;
                    var pusherProcessed = false;

                    $.get("{{ url('growhappy_mod.pusher') }}", function(dataPusher, statusPusher){
                      var dataPusher = JSON.parse(dataPusher);
                      console.log(dataPusher);
                      var pusher = new Pusher(dataPusher.key, {
                        cluster: dataPusher.cluster,
                        authEndpoint: "{{ url('growhappy_mod.pusher-auth') }}",
                      });
                      var channel = pusher.subscribe("private-member.{{ guestlogin.id }}");
                      channel.bind("submission.failed",
                        function(dataSubmitFail) {
                          console.log("pusher failed : ");
                          console.log(dataSubmitFail);
                          pusherFailed = true;

                          $("#message-header").html("Maaf Happy Parents, Submit Kode Unik Gagal");
                          $("#message-body").html("<p>"+dataSubmitFail.message+"</p>");

                          if (dataSubmitFail.message == "Silahkan Happy Parents lengkapi Data Anak untuk submit kode unik.") {
                            $("#message-button-child").show();
                            $("#message-button").html("Lengkapi data anak");
                          } else {
                            $("#message-button").show();
                            $("#message-button").html("Coba Lagi");
                            $("#btn-close-modal").show();
                          }

                        }
                      );

                      channel.bind("submission.processed",
                        function(dataSubmitSuccess) {
                            console.log("pusher success : ");
                            console.log(dataSubmitSuccess);
                            pusherProcessed = true;
                            // dataSubmitSuccess.code

                            $("#message-header").html("Penambahan Happy Points Berhasil!");
                            $("#message-body").html("<p>Selamat, Happy Parents berhasil mendapatkan<br>" + dataSubmitSuccess.point + " Happy Points.<br>Kirimkan kode unik sebanyak-banyaknya untuk mendapatkan lebih banyak poin dan menukarnya dengan rewards menarik.</p><p>Untuk melihat status penambahan Happy Points, silakan cek Riwayat di Profil Happy Parents.</p>");
                            $("#message-button").html("Lihat Status");
                            $("#message-button").show();
                            $("#btn-close-modal").show();
                        }
                      );
                  });

                    setTimeout(function() {
                      console.log("timeout start");
                      if(pusherFailed == false && pusherProcessed == false){
                        console.log("if pusher timeout");
                        $("#message-header").html(message_header_loading);
                        $("#message-body").html("Proses ini lebih lama dari yg kami pekirakan, silakan refresh halaman ini kembali atau cek saldo anda");
                        $("#message-button").show();
                        $("#message-button").attr("href", "/profile");
                        $("#message-button").html("Lihat Status");
                      }
                    }, 300000);
                }else{
                    console.log("Submit fail");
                    message_body_fail = "";
                    $.each(data.errors, function( k, v ) {
                        message_body_fail += "<p>"+v+"</p>";
                        msg = v;
                    });
                    $("#message-header").html(message_header_fail);
                    $("#message-body").html(message_body_fail);
                    $("#message-button").html(message_button_fail);
                    $("#message-button").show();
                    $("#btn-close-modal").show();

                }
                $("#btn-submit").prop("disabled", false);
            },
            error: function(xhr, status, error) {
                var error = eval("(" + xhr.responseText + ")");
                // console.log(error.message);
                $("#message-header").html(message_header_fail);
                $("#message-body").html("<p>" + error.message + "</p>");
                $("#message-button").html(message_button_fail);
                $("#message-button").show();
                $("#btn-close-modal").show();
            }
        });
    });

    $("#form-submit-mobile").submit(function(e) {
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var form = $(this);
        var url = form.attr("action");
        var type = $(this).attr("method");
        var message_header_loading = "Submit Kode Sedang diproses!";
        var message_header_fail = "Submit Poin Happy Parents Gagal";
        var message_body_loading = "<p>Mohon Tunggu...</p>";
        var message_body_fail = "<p>Terjadi kesalahan pada server</p>";
        var message_button_fail = "Coba Lagi";
        $("#submitModal").modal("show");
        $.ajax({
            type: type,
            url: url,
            data: form.serialize(),
            beforeSend: function() {
                $("#btn-submit").prop("disabled", true);
                $("#btn-submit-mobile").prop("disabled", true);
                $("#message-header").html(message_header_loading);
                $("#message-body").html(message_body_loading);
                $("#message-button").hide();
                $("#btn-close-modal").hide();
                console.log("Loading");
            },
            success: function(data) {
                var data = JSON.parse(data);
                console.log("json success : "+data.success);
                if(data.success){
                    console.log("Submit success");
                    console.log("pusher ready!");

                    var pusherFailed = false;
                    var pusherProcessed = false;

                    $.get("{{ url('growhappy_mod.pusher') }}", function(dataPusher, statusPusher){
                      var dataPusher = JSON.parse(dataPusher);
                      var pusher = new Pusher(dataPusher.key, {
                        cluster: dataPusher.cluster,
                        authEndpoint: "{{ url('growhappy_mod.pusher-auth') }}",
                      });
                      var channel = pusher.subscribe("private-member.{{ guestlogin.id }}");
                      channel.bind("submission.failed",
                        function(dataSubmitFail) {
                          console.log("pusher failed : ");
                          console.log(dataSubmitFail);
                          pusherFailed = true;

                          $("#message-header").html("Maaf Happy Parents, Submit Kode Unik Gagal");
                          $("#message-body").html("<p>"+dataSubmitFail.message+"</p>");

                          if (dataSubmitFail.message == "Silahkan Happy Parents lengkapi Data Anak untuk submit kode unik.") {
                            $("#message-button-child").show();
                            $("#message-button").html("Lengkapi data anak");
                          } else {
                            $("#message-button").show();
                            $("#message-button").html("Coba Lagi");
                          }

                        }
                      );

                      channel.bind("submission.processed",
                        function(dataSubmitSuccess) {
                            console.log("pusher success : ");
                            console.log(dataSubmitSuccess);
                            pusherProcessed = true;
                            // dataSubmitSuccess.code

                            $("#message-header").html("Penambahan Happy Points Berhasil!");
                            $("#message-body").html("<p>Selamat, Happy Parents berhasil mendapatkan<br>" + dataSubmitSuccess.point + " Happy Points.<br>Kirimkan kode unik sebanyak-banyaknya untuk mendapatkan lebih banyak poin dan menukarnya dengan rewards menarik.</p><p>Untuk melihat status penambahan Happy Points, silakan cek Riwayat di Profil Happy Parents.</p>");
                            $("#message-button").html("Lihat Status");
                            $("#message-button").show();
                            $("#btn-close-modal").show();
                        }
                      );
                    });

                    setTimeout(function() {
                      console.log("timeout start");
                      if(pusherFailed == false && pusherProcessed == false){
                        console.log("if pusher timeout");
                        $("#message-header").html(message_header_loading);
                        $("#message-body").html("Proses ini lebih lama dari yg kami pekirakan, silakan refresh halaman ini kembali atau cek saldo anda");
                        $("#message-button").show();
                        $("#message-button").attr("href", "/profile");
                        $("#message-button").html("Lihat Status");
                      }
                    }, 300000);
                }else{
                    console.log("Submit fail");
                    message_body_fail = "";
                    $.each(data.errors, function( k, v ) {
                        message_body_fail += "<p>"+v+"</p>";
                        msg = v;
                    });
                    $("#message-header").html(message_header_fail);
                    $("#message-body").html(message_body_fail);
                    $("#message-button").html(message_button_fail);
                    $("#message-button").show();
                    $("#btn-close-modal").show();

                }
                $("#btn-submit").prop("disabled", false);
            },
            error: function(xhr, status, error) {
                var error = eval("(" + xhr.responseText + ")");
                // console.log(error.message);
                $("#message-header").html(message_header_fail);
                $("#message-body").html("<p>" + error.message + "</p>");
                $("#message-button").html(message_button_fail);
                $("#message-button").show();
                $("#btn-close-modal").show();
            }
        });
    });

    $(document).ready(function() {
        $('input[name="statusHistory"]').click(function() {
            $(this).tab("show");
            $(this).removeClass("active");
        });
    })

    $("#form-submit-bp").submit(function(e) {
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var form = $(this);
        var url = form.attr("action");
        var type = $(this).attr("method");
        var message_header_loading = "Submit Kode SPG Sedang diproses!";
        var message_header_fail = "Submit Kode SPG Gagal";
        var message_body_loading = "<p>Mohon Tunggu...</p>";
        var message_body_fail = "<p>Terjadi kesalahan pada server</p>";
        var message_button_fail = "Coba Lagi";
        $("#submitModal").modal("show");

        $.ajax({
            type: type,
            url: url,
            data: form.serialize(),
            beforeSend: function() {
                $("#btn-submit-bp").prop("disabled", true);
                $("#message-header").html(message_header_loading);
                $("#message-body").html(message_body_loading);
                $("#message-button").hide();
                $("#btn-close-modal").hide();
                console.log("Loading");
            },
            success: function(data) {
              $("#message-header").html("Berhasil!");
              $("#message-body").html("<p>Submit Kode SPG Berhasil</p>");
              $("#message-button").html("Tutup");
              $("#message-button").show();
              $("#btn-close-modal").show();
            },
            error: function(xhr, status, error) {
              $("#message-header").html(message_header_fail);
              $("#message-body").html(message_body_fail);
              $("#message-button").html(message_button_fail);
              $("#message-button").show();
              $("#btn-close-modal").show();
            }
        });
    });

    $("#form-submit-bp-mobile").submit(function(e) {
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var form = $(this);
        var url = form.attr("action");
        var type = $(this).attr("method");
        var message_header_loading = "Submit Kode SPG Sedang diproses!";
        var message_header_fail = "Submit Kode SPG Gagal";
        var message_body_loading = "<p>Mohon Tunggu...</p>";
        var message_body_fail = "<p>Terjadi kesalahan pada server</p>";
        var message_button_fail = "Coba Lagi";
        $("#submitModal").modal("show");

        $.ajax({
            type: type,
            url: url,
            data: form.serialize(),
            beforeSend: function() {
                $("#btn-submit-bp-mobile").prop("disabled", true);
                $("#message-header").html(message_header_loading);
                $("#message-body").html(message_body_loading);
                $("#message-button").hide();
                $("#btn-close-modal").hide();
                console.log("Loading");
            },
            success: function(data) {
              $("#message-header").html("Berhasil!");
              $("#message-body").html("<p>Submit Kode SPG Berhasil</p>");
              $("#message-button").html("Tutup");
              $("#message-button").show();
              $("#btn-close-modal").show();
            },
            error: function(xhr, status, error) {
              $("#message-header").html(message_header_fail);
              $("#message-body").html(message_body_fail);
              $("#message-button").html(message_button_fail);
              $("#message-button").show();
              $("#btn-close-modal").show();
            }
        });
    });
</script>
